Inhalte

# Funktion IIf

Liefert eines zweier möglicher Funktionsergebnisse zurück, abhängig vom Wahrheitsgehalt eines zu überprüfenden Ausdrucks.

### Syntax:

    IIf (Wenn As Boolean, Dann As Variant, Sonst As Variant) As Variant

### Parameter:

Wenn: Beliebiger Ausdruck, den Sie auswerten möchten. Wenn der Ausdruck True ergibt, gibt die Funktion den Wert von "Dann" zurück, andernfalls gibt sie den Wert von "Sonst" zurück.

Dann, Sonst: Beliebige Ausdrücke, von dem je nach logischer Auswertung einer als Funktionsergebnis zurückgegeben wird.

IIf wertet sowohl Dann als auch Sonst aus, auch wenn nur eine davon zurückgegeben wird. Wenn einer der Ausdrücke zu einem Fehler führt, gibt die Funktion den Fehler zurück. Verwenden Sie IIF beispielsweise nicht, um ein mögliches Ergebnis einer Division durch Null zu umgehen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM Gibt das Maximum von 3 Werten zurück
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Schlechte Verwendung der Funktion IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Verwandte Themen

Anweisungen If oder Select Case

Funktion Switch